Skip to main content
GET
/
v1
/
review-annotations
/
{annotation_id}
Get review annotation
curl --request GET \
  --url https://api.coval.dev/v1/review-annotations/{annotation_id} \
  --header 'X-API-Key: <api-key>'
{
  "review_annotation": {
    "name": "review-annotations/abc123def456ghi789jklm",
    "id": "abc123def456ghi789jklm",
    "simulation_output_id": "<string>",
    "metric_id": "<string>",
    "assignee": "<string>",
    "status": "ACTIVE",
    "completion_status": "PENDING",
    "priority": "PRIORITY_STANDARD",
    "create_time": "2023-11-07T05:31:56Z",
    "update_time": "2023-11-07T05:31:56Z",
    "ground_truth_float_value": 123,
    "ground_truth_string_value": "<string>",
    "ground_truth_subvalues_by_timestamp": [
      {}
    ],
    "reviewer_notes": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Organization API key for authentication

Path Parameters

annotation_id
string
required

The annotation ID

Response

Annotation retrieved successfully

review_annotation
object
required

A single review annotation resource.